# Class ScalaDoc

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.api.tasks.SourceTask
org.gradle.api.tasks.scala.ScalaDoc

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>`

@CacheableTask public class ScalaDoc extends SourceTask
Generates HTML API documentation for Scala source files.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from class SourceTask

`source`

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`ScalaDoc()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`generate()`
`protected org.gradle.api.internal.project.IsolatedAntBuilder`
`getAntBuilder()`
`FileCollection`
`getClasspath()`
Returns the classpath to use to locate classes referenced by the documented source.
`File`
`getDestinationDir()`
Returns the directory to generate the API documentation into.
`FileCollection`
`getScalaClasspath()`
Returns the classpath to use to load the ScalaDoc tool.
`ScalaDocOptions`
`getScalaDocOptions()`
Returns the ScalaDoc generation options.
`FileTree`
`getSource()`
Returns the source for this task, after the include and exclude patterns have been applied.
`String`
`getTitle()`
Returns the documentation title.
`void`
`setClasspath(FileCollection classpath)`
`void`
`setDestinationDir(File destinationDir)`
`void`
`setScalaClasspath(FileCollection scalaClasspath)`
`void`
`setScalaDocOptions(ScalaDocOptions scalaDocOptions)`
`void`
`setTitle(String title)`

### Methods inherited from class SourceTask

`exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScalaDoc

public ScalaDoc()

## Method Details

### getAntBuilder

@Inject protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

### getDestinationDir

@OutputDirectory public File getDestinationDir()
Returns the directory to generate the API documentation into.

### setDestinationDir

public void setDestinationDir(File destinationDir)

### getSource

@PathSensitive(RELATIVE) public FileTree getSource()
Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

Overrides:
  `getSource` in class `SourceTask`
Returns:
  The source.

### getClasspath

@Classpath public FileCollection getClasspath()

Returns the classpath to use to locate classes referenced by the documented source.

Returns:
  The classpath.

### setClasspath

public void setClasspath(FileCollection classpath)

### getScalaClasspath

@Classpath public FileCollection getScalaClasspath()
Returns the classpath to use to load the ScalaDoc tool.

### setScalaClasspath

public void setScalaClasspath(FileCollection scalaClasspath)

### getScalaDocOptions

public ScalaDocOptions getScalaDocOptions()
Returns the ScalaDoc generation options.

### setScalaDocOptions

public void setScalaDocOptions(ScalaDocOptions scalaDocOptions)

### getTitle

@Input @Optional public String getTitle()
Returns the documentation title.

### setTitle

public void setTitle(String title)

### generate

protected void generate()